Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerApplication.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerApplication.cs	(revision 2904)
@@ -29,7 +29,9 @@
 using System.ServiceModel.Description;
 using System.Net;
+using HeuristicLab.Hive.Server.Core;
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Hive.Contracts.Interfaces;
 using HeuristicLab.Hive.Server.Properties;
+using Spring.ServiceModel;
 
 namespace HeuristicLab.Hive.Server {
@@ -67,13 +69,15 @@
       string curServiceHost = "";
       Uri uriTcp;
-      IEnumerable<IClientFacade> clientCommunicatorInstances = ApplicationManager.Manager.GetInstances<IClientFacade>();
+      /*IEnumerable<IClientFacade> clientCommunicatorInstances = ApplicationManager.Manager.GetInstances<IClientFacade>();
       IEnumerable<IServerConsoleFacade> serverConsoleInstances = ApplicationManager.Manager.GetInstances<IServerConsoleFacade>();
-      IEnumerable<IExecutionEngineFacade> executionEngineInstances = ApplicationManager.Manager.GetInstances<IExecutionEngineFacade>();
-      ServiceHost serviceHost = null;
+      IEnumerable<IExecutionEngineFacade> executionEngineInstances = ApplicationManager.Manager.GetInstances<IExecutionEngineFacade>();*/
+      SpringServiceHost serviceHost = null;
       switch (svc) {
         case Services.ClientCommunicator:
-          if (clientCommunicatorInstances.Count() > 0) {
+        //  if (clientCommunicatorInstances.Count() > 0) {
             uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServer/");
-            serviceHost = new ServiceHost(clientCommunicatorInstances.First().GetType(), uriTcp);
+            //serviceHost = new ServiceHost(clientCommunicatorInstances.First().GetType(), uriTcp);
+            //serviceHost = new ServiceHost(typeof(ClientFacade), uriTcp);
+            serviceHost = new SpringServiceHost("clientFacade", uriTcp);
             serviceHost.AddServiceEndpoint(typeof(IClientFacade), streamedBinding, STR_ClientCommunicator);
             
@@ -88,21 +92,23 @@
 
             curServiceHost = STR_ClientCommunicator;
-          }
+        //  }
           break;
         case Services.ServerConsoleFacade:
-          if (serverConsoleInstances.Count() > 0) {
+        //  if (serverConsoleInstances.Count() > 0) {
             uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServerConsole/");
-            serviceHost = new ServiceHost(serverConsoleInstances.First().GetType(), uriTcp);
+            //serviceHost = new ServiceHost(serverConsoleInstances.First().GetType(), uriTcp);
+            serviceHost = new SpringServiceHost("serverConsoleFacade", uriTcp);
             serviceHost.AddServiceEndpoint(typeof(IServerConsoleFacade), binding, STR_ServerConsoleFacade);
             curServiceHost = STR_ServerConsoleFacade;
-          }
+        //  }
           break;
         case Services.ExecutionEngineFacade:
-          if (executionEngineInstances.Count() > 0) {
+        //  if (executionEngineInstances.Count() > 0) {
             uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/ExecutionEngine/");
-            serviceHost = new ServiceHost(executionEngineInstances.First().GetType(), uriTcp);
+            //serviceHost = new ServiceHost(executionEngineInstances.First().GetType(), uriTcp);
+            serviceHost = new SpringServiceHost("executionEngineFacade", uriTcp);
             serviceHost.AddServiceEndpoint(typeof(IExecutionEngineFacade), streamedBinding, STR_ExecutionEngineFacade);
             curServiceHost = STR_ExecutionEngineFacade;
-          }
+        //  }
           break;
         case Services.All:
@@ -111,5 +117,5 @@
           return null;
       }
-      if ((serviceHost != null) && (!String.IsNullOrEmpty(curServiceHost))) {
+      if (!String.IsNullOrEmpty(curServiceHost)) {
         AddMexEndpoint(serviceHost);
         //WcfSettings.SetServiceCertificate(serviceHost);
Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs	(revision 2904)
@@ -30,5 +30,7 @@
   [PluginFile("HeuristicLab.Hive.Server-3.2.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Hive.Server.Core-3.2")]
   [PluginDependency("HeuristicLab.Hive.Contracts-3.2")]
+  //[PluginDependency("HeuristicLab.SpringNET-1.3.0")]
   public class HiveServerPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs	(revision 2904)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs	(revision 2904)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using AopAlliance.Intercept;
+using System.Threading;
+
+namespace HeuristicLab.Hive.Server {
+  class ServiceCallInterception: IMethodInterceptor {
+    #region IMethodInterceptor Members
+
+    public object Invoke(IMethodInvocation invocation) {
+      Console.WriteLine(DateTime.Now + " - " + Thread.CurrentThread.ManagedThreadId + " - Entering Method " + invocation.Method.Name);
+      var obj = invocation.Proceed();
+      Console.WriteLine(DateTime.Now + " - " + Thread.CurrentThread.ManagedThreadId + " - Leaving Method " + invocation.Method.Name);
+      return obj;
+    }
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 2903)
+++ /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 2904)
@@ -2,4 +2,5 @@
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Core\3.2\%Outdir%\HeuristicLab.Hive.Client.Core-3.2.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Console\3.2\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll.config" "HeuristicLab.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Server\3.2\%Outdir%\HeuristicLab.Hive.Server-3.2.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Server.Core\3.2\%Outdir%\HeuristicLab.Hive.Server.Core-3.2.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Tracing\3.2\%Outdir%\HeuristicLab.Tracing-3.2.dll.config" "HeuristicLab.exe.config"
